curl --request POST \
--url https://api-sandbox.synctera.com/v0/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ban_status": "ALLOWED",
"email": "alice@example.com",
"metadata": {},
"middle_name": "Anne",
"note": "<string>",
"phone_number": "+14374570680",
"related_customers": [
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_role": "CUSTODIAN"
}
],
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"ssn": "123-45-6789",
"tenant": "abcdef_ghijkl",
"dob": "2000-01-01",
"first_name": "Jane",
"last_name": "Smith"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers"
payload = {
"ban_status": "ALLOWED",
"email": "alice@example.com",
"metadata": {},
"middle_name": "Anne",
"note": "<string>",
"phone_number": "+14374570680",
"related_customers": [
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_role": "CUSTODIAN"
}
],
"spend_control_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"ssn": "123-45-6789",
"tenant": "abcdef_ghijkl",
"dob": "2000-01-01",
"first_name": "Jane",
"last_name": "Smith"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ban_status: 'ALLOWED',
email: 'alice@example.com',
metadata: {},
middle_name: 'Anne',
note: '<string>',
phone_number: '+14374570680',
related_customers: [{id: '7d943c51-e4ff-4e57-9558-08cab6b963c7', relationship_role: 'CUSTODIAN'}],
spend_control_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
ssn: '123-45-6789',
tenant: 'abcdef_ghijkl',
dob: '2000-01-01',
first_name: 'Jane',
last_name: 'Smith'
})
};
fetch('https://api-sandbox.synctera.com/v0/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ban_status' => 'ALLOWED',
'email' => 'alice@example.com',
'metadata' => [
],
'middle_name' => 'Anne',
'note' => '<string>',
'phone_number' => '+14374570680',
'related_customers' => [
[
'id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'relationship_role' => 'CUSTODIAN'
]
],
'spend_control_ids' => [
'7d943c51-e4ff-4e57-9558-08cab6b963c7'
],
'ssn' => '123-45-6789',
'tenant' => 'abcdef_ghijkl',
'dob' => '2000-01-01',
'first_name' => 'Jane',
'last_name' => 'Smith'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/customers"
payload := strings.NewReader("{\n \"ban_status\": \"ALLOWED\",\n \"email\": \"alice@example.com\",\n \"metadata\": {},\n \"middle_name\": \"Anne\",\n \"note\": \"<string>\",\n \"phone_number\": \"+14374570680\",\n \"related_customers\": [\n {\n \"id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"relationship_role\": \"CUSTODIAN\"\n }\n ],\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"ssn\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"dob\": \"2000-01-01\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ban_status\": \"ALLOWED\",\n \"email\": \"alice@example.com\",\n \"metadata\": {},\n \"middle_name\": \"Anne\",\n \"note\": \"<string>\",\n \"phone_number\": \"+14374570680\",\n \"related_customers\": [\n {\n \"id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"relationship_role\": \"CUSTODIAN\"\n }\n ],\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"ssn\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"dob\": \"2000-01-01\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ban_status\": \"ALLOWED\",\n \"email\": \"alice@example.com\",\n \"metadata\": {},\n \"middle_name\": \"Anne\",\n \"note\": \"<string>\",\n \"phone_number\": \"+14374570680\",\n \"related_customers\": [\n {\n \"id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"relationship_role\": \"CUSTODIAN\"\n }\n ],\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"ssn\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"dob\": \"2000-01-01\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\"\n}"
response = http.request(request)
puts response.read_body{
"status": "ACTIVE",
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
},
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"ban_status": "ALLOWED",
"classifications": [
"AUTHORIZED_USER"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"email": "alice@example.com",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"kyc_exempt": true,
"kyc_last_run": "2010-05-06T12:23:34.321Z",
"kyc_status": "ACCEPTED",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"middle_name": "Anne",
"phone_number": "+14374570680",
"related_customers": [
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_role": "CUSTODIAN"
}
],
"shipping_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"ssn": "123-45-6789",
"ssn_source": "MANUAL",
"tenant": "abcdef_ghijkl",
"dob": "2000-01-01",
"first_name": "Jane",
"last_name": "Smith"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create a Customer
The customer object represents your customer’s identity. You can then verify the identity of this customer and associate them with other people and accounts. Note that if no shipping_address attribute is provided in the request, the shipping_address will be set to a copy of the legal_address.
curl --request POST \
--url https://api-sandbox.synctera.com/v0/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ban_status": "ALLOWED",
"email": "alice@example.com",
"metadata": {},
"middle_name": "Anne",
"note": "<string>",
"phone_number": "+14374570680",
"related_customers": [
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_role": "CUSTODIAN"
}
],
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"ssn": "123-45-6789",
"tenant": "abcdef_ghijkl",
"dob": "2000-01-01",
"first_name": "Jane",
"last_name": "Smith"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers"
payload = {
"ban_status": "ALLOWED",
"email": "alice@example.com",
"metadata": {},
"middle_name": "Anne",
"note": "<string>",
"phone_number": "+14374570680",
"related_customers": [
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_role": "CUSTODIAN"
}
],
"spend_control_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"ssn": "123-45-6789",
"tenant": "abcdef_ghijkl",
"dob": "2000-01-01",
"first_name": "Jane",
"last_name": "Smith"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ban_status: 'ALLOWED',
email: 'alice@example.com',
metadata: {},
middle_name: 'Anne',
note: '<string>',
phone_number: '+14374570680',
related_customers: [{id: '7d943c51-e4ff-4e57-9558-08cab6b963c7', relationship_role: 'CUSTODIAN'}],
spend_control_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
ssn: '123-45-6789',
tenant: 'abcdef_ghijkl',
dob: '2000-01-01',
first_name: 'Jane',
last_name: 'Smith'
})
};
fetch('https://api-sandbox.synctera.com/v0/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ban_status' => 'ALLOWED',
'email' => 'alice@example.com',
'metadata' => [
],
'middle_name' => 'Anne',
'note' => '<string>',
'phone_number' => '+14374570680',
'related_customers' => [
[
'id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'relationship_role' => 'CUSTODIAN'
]
],
'spend_control_ids' => [
'7d943c51-e4ff-4e57-9558-08cab6b963c7'
],
'ssn' => '123-45-6789',
'tenant' => 'abcdef_ghijkl',
'dob' => '2000-01-01',
'first_name' => 'Jane',
'last_name' => 'Smith'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/customers"
payload := strings.NewReader("{\n \"ban_status\": \"ALLOWED\",\n \"email\": \"alice@example.com\",\n \"metadata\": {},\n \"middle_name\": \"Anne\",\n \"note\": \"<string>\",\n \"phone_number\": \"+14374570680\",\n \"related_customers\": [\n {\n \"id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"relationship_role\": \"CUSTODIAN\"\n }\n ],\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"ssn\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"dob\": \"2000-01-01\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ban_status\": \"ALLOWED\",\n \"email\": \"alice@example.com\",\n \"metadata\": {},\n \"middle_name\": \"Anne\",\n \"note\": \"<string>\",\n \"phone_number\": \"+14374570680\",\n \"related_customers\": [\n {\n \"id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"relationship_role\": \"CUSTODIAN\"\n }\n ],\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"ssn\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"dob\": \"2000-01-01\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ban_status\": \"ALLOWED\",\n \"email\": \"alice@example.com\",\n \"metadata\": {},\n \"middle_name\": \"Anne\",\n \"note\": \"<string>\",\n \"phone_number\": \"+14374570680\",\n \"related_customers\": [\n {\n \"id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"relationship_role\": \"CUSTODIAN\"\n }\n ],\n \"spend_control_ids\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"ssn\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"dob\": \"2000-01-01\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\"\n}"
response = http.request(request)
puts response.read_body{
"status": "ACTIVE",
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
},
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"ban_status": "ALLOWED",
"classifications": [
"AUTHORIZED_USER"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"email": "alice@example.com",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"kyc_exempt": true,
"kyc_last_run": "2010-05-06T12:23:34.321Z",
"kyc_status": "ACCEPTED",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"middle_name": "Anne",
"phone_number": "+14374570680",
"related_customers": [
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_role": "CUSTODIAN"
}
],
"shipping_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"ssn": "123-45-6789",
"ssn_source": "MANUAL",
"tenant": "abcdef_ghijkl",
"dob": "2000-01-01",
"first_name": "Jane",
"last_name": "Smith"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Customer to create
- Customer
- Customer
Details of a customer
(beta) Ban status of the person. One of the following:
ALLOWED– person is not banned or suspendedSUSPENDED- person is manually suspended due to fraudBANNED– person is banned due to matching ban rules Note: changing the ban status to or from BANNED can only be performed by the Synctera platform based on ban rules.
ALLOWED, BANNED, SUSPENDED "ALLOWED"
Response
Created customer
- Prospect
- Customer
Details of a prospect
(beta) Ban status of the person. One of the following:
ALLOWED– person is not banned or suspendedSUSPENDED- person is manually suspended due to fraudBANNED– person is banned due to matching ban rules Note: changing the ban status to or from BANNED can only be performed by the Synctera platform based on ban rules.
ALLOWED, BANNED, SUSPENDED "ALLOWED"
Was this page helpful?

